/*-
 * Copyright 2021 Hochschule für Technik Stuttgart
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package de.hft.stuttgart.ade.foodwaterenergycitygml4j.landuse.model.xsd;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

import net.opengis.gml.AbstractFeatureType;
import net.opengis.gml.ScaleType;

@XmlType(name = "WaterSurvey")
public class WaterSurveyType extends AbstractFeatureType {
	
	@XmlElement(name = "domesticWaterDemand")
	private ScaleType domesticWaterDemand;
	@XmlElement(name = "domesticHotWaterDemand")
	private ScaleType domesticHotWaterDemand;
	@XmlElement(name = "domesticHotWaterEnergyDemand")
	private ScaleType domesticHotWaterEnergyDemand;
	@XmlElement(name = "domesticWaterWaste")
	private ScaleType domesticWaterWaste;
	@XmlElement(name = "domesticSolidWaste")
	private ScaleType domesticSolidWaste;
	@XmlElement(name = "totalDomesticWaste")
	private ScaleType totalDomesticWaste;
	
	
	public ScaleType getDomesticWaterDemand() {
		return domesticWaterDemand;
	}
	public void setDomesticWaterDemand(ScaleType domesticWaterDemand) {
		this.domesticWaterDemand = domesticWaterDemand;
	}
	public ScaleType getDomesticHotWaterDemand() {
		return domesticHotWaterDemand;
	}
	public void setDomesticHotWaterDemand(ScaleType domesticHotWaterDemand) {
		this.domesticHotWaterDemand = domesticHotWaterDemand;
	}
	public ScaleType getDomesticHotWaterEnergyDemand() {
		return domesticHotWaterEnergyDemand;
	}
	public void setDomesticHotWaterEnergyDemand(ScaleType domesticHotWaterEnergyDemand) {
		this.domesticHotWaterEnergyDemand = domesticHotWaterEnergyDemand;
	}
	public ScaleType getDomesticWaterWaste() {
		return domesticWaterWaste;
	}
	public void setDomesticWaterWaste(ScaleType domesticWaterWaste) {
		this.domesticWaterWaste = domesticWaterWaste;
	}
	public ScaleType getDomesticSolidWaste() {
		return domesticSolidWaste;
	}
	public void setDomesticSolidWaste(ScaleType domesticSolidWaste) {
		this.domesticSolidWaste = domesticSolidWaste;
	}
	public ScaleType getTotalDomesticWaste() {
		return totalDomesticWaste;
	}
	public void setTotalDomesticWaste(ScaleType totalDomesticWaste) {
		this.totalDomesticWaste = totalDomesticWaste;
	}

}
